<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.wisenergy.mapper.WorkRoleLevelMapper">


    <select id="getLevelIds" resultType="java.lang.Integer">
        SELECT level_id
        FROM work_role_level
        <where>
            <if test="roleIds != null">
                AND role_id IN
                <foreach collection="roleIds" item="roleId" open="(" close=")" separator=",">
                    #{roleId}
                </foreach>
            </if>
        </where>



    </select>
</mapper>